Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.encoding.ser
Class HexDeserializer

    java.lang.Object
      org.xml.sax.helpers.DefaultHandler
          org.apache.axis.message.SOAPHandler
              org.apache.axis.encoding.DeserializerImpl
                  org.apache.axis.encoding.ser.HexDeserializer

All Implemented Interfaces:
  Callback, ContentHandler, javax.xml.rpc.encoding.Deserializer, Deserializer, DTDHandler, EntityResolver, ErrorHandler, Serializable

public class HexDeserializer
extends DeserializerImpl

Deserializer for hexBinary.

Author:
  Davanum Srinivas Modified by @author Rich scheuerle
See Also:
  XML Schema 3.2.16, Serialized Form

Field Summary
`Class` | `javaType`
`javax.xml.namespace.QName` | `xmlType`

Fields inherited from class org.apache.axis.encoding.DeserializerImpl
`defaultType, id, isEnded, isHref, isNil, targets, value`

Fields inherited from class org.apache.axis.message.SOAPHandler
`myElement`

Constructor Summary
`HexDeserializer(Class javaType, javax.xml.namespace.QName xmlType)`

Method Summary
`void` | `characters(char[] chars, int start, int end)` Handle any characters found in the data
`void` | `onEndElement(String namespace, String localName, DeserializationContext context)` Return something even if no characters were found.

Methods inherited from class org.apache.axis.encoding.DeserializerImpl
`addChildDeserializer, componentsReady, endElement, getDefaultType, getMechanismType, getValue, getValue, getValueTargets, moveValueTargets, onStartChild, onStartElement, registerValueTarget, removeValueTargets, setChildValue, setDefaultType, setValue, setValue, startElement, valueComplete`

Methods inherited from class org.apache.axis.message.SOAPHandler
`makeNewElement, onEndChild`

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`endDocument, endElement, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startElement, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### xmlType

    public javax.xml.namespace.QName xmlType

### javaType

    public Class javaType

Constructor Detail

### HexDeserializer

    public HexDeserializer(Class javaType,
                           javax.xml.namespace.QName xmlType)

Method Detail

### characters

    public void characters(char[] chars,
                           int start,
                           int end)
                    throws SAXException

  Handle any characters found in the data

  Throws:
    `SAXException`

### onEndElement

    public void onEndElement(String namespace,
                             String localName,
                             DeserializationContext context)
                      throws SAXException

  Return something even if no characters were found.

  Specified by:
    `onEndElement` in interface `Deserializer`
  Overrides:
    `onEndElement` in class `DeserializerImpl`
  Parameters:
    `namespace` - is the namespace of the child element
    `localName` - is the local name of the child element
    `context` - is the deserialization context
  Throws:
    `SAXException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.